#include <avr/interrupt.h>
#include <avr/io.h>
#include <util/delay.h>
#include "lcd.h"
  
#define RS PC0 // RS   PC0 
#define EN PC2 // EN   PC2 



#define CNT0_INIT 100  // 


//  
volatile signed long  x = 1234567890;
volatile unsigned int  pause = 0;

//    0 
ISR (INT0_vect) 
{
  x++;

}


//    0
ISR (TIMER0_OVF_vect)
{
//  
  TCNT0 = CNT0_INIT;
  pause--;

}



int main(void)
{
//   


//   0
// Clock source: System Clock
// Clock value: 250,000 kHz
// Timer Period: 1 ms
TCCR0=(0<<WGM00) | (0<<COM01) | (0<<COM00) | (0<<WGM01) | (1<<CS02) | (0<<CS01) | (1<<CS00);
TCNT0 = CNT0_INIT;
OCR0=0x00;
TIMSK=(1<<TOIE0);


//    INT0
  GICR |= (0<<INT1) | (1<<INT0) | (0<<INT2);
  MCUCR = (0<<ISC11) | (0<<ISC10) | (0<<ISC01) | (0<<ISC00);
  MCUCSR = (0<<ISC2);
  GIFR = (0<<INTF1) | (1<<INTF0) | (0<<INTF2);

  

  lcd_init(); //  
        

  while (1)
  {
     x = 0;
	 pause = 100;
     TCNT0 = CNT0_INIT;
	 sei(); //  
     while (pause > 0); // 1
	 cli(); //  
	 bool f = x > 10000; 
	 if (f) x = (float)x / 1000 + 0.5;
     lcd_printI(x*10);
	 if (f) lcd_data('k');
	 lcd_data('H');
	 lcd_data('z');

  }
}
